

# ListMalwareProtectionPlans
<a name="API_ListMalwareProtectionPlans"></a>

Lists the Malware Protection plan IDs associated with the protected resources in your Amazon account.

## Request Syntax
<a name="API_ListMalwareProtectionPlans_RequestSyntax"></a>

```
GET /malware-protection-plan?nextToken=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListMalwareProtectionPlans_RequestParameters"></a>

The request uses the following URI parameters.

 ** [NextToken](#API_ListMalwareProtectionPlans_RequestSyntax) **   <a name="guardduty-ListMalwareProtectionPlans-request-uri-NextToken"></a>
You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action, fill nextToken in the request with the value of `NextToken` from the previous response to continue listing data. The default page size is 100 plans.

## Request Body
<a name="API_ListMalwareProtectionPlans_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListMalwareProtectionPlans_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "malwareProtectionPlans": [ 
      { 
         "malwareProtectionPlanId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListMalwareProtectionPlans_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [malwareProtectionPlans](#API_ListMalwareProtectionPlans_ResponseSyntax) **   <a name="guardduty-ListMalwareProtectionPlans-response-malwareProtectionPlans"></a>
A list of unique identifiers associated with each Malware Protection plan.  
Type: Array of [MalwareProtectionPlanSummary](API_MalwareProtectionPlanSummary.md) objects

 ** [nextToken](#API_ListMalwareProtectionPlans_ResponseSyntax) **   <a name="guardduty-ListMalwareProtectionPlans-response-nextToken"></a>
You can use this parameter when paginating results. Set the value of this parameter to null on your first call to the list action. For subsequent calls to the action, fill nextToken in the request with the value of `NextToken` from the previous response to continue listing data.  
Type: String

## Errors
<a name="API_ListMalwareProtectionPlans_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
An access denied exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 403

 ** BadRequestException **   
A bad request exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 400

 ** InternalServerErrorException **   
An internal server error exception object.    
 ** Message **   
The error message.  
 ** Type **   
The error type.
HTTP Status Code: 500

## See Also
<a name="API_ListMalwareProtectionPlans_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/guardduty-2017-11-28/ListMalwareProtectionPlans) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/guardduty-2017-11-28/ListMalwareProtectionPlans) 